#if !defined(AFX_GROUNDER32_H__79B8C5C4_5862_11D6_8F7A_444553540001__INCLUDED_)
#define AFX_GROUNDER32_H__79B8C5C4_5862_11D6_8F7A_444553540001__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Grounder32.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGrounder32 dialog

class CGrounder32 : public CDialog
{
// Construction
public:
	virtual  ~CGrounder32();
	CGrounder32(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CGrounder32)
	enum { IDD = IDD_GROUNDER };
	int		m_nGPE;
	int		m_nPPE;
	BOOL	m_bGroundOn;
	BOOL	m_bPowerOn;
	BOOL	m_bGPRelievePadsVias;
	BOOL	m_bPPRelievePadsVias;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGrounder32)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CGrounder32)
	afx_msg void OnOpenPcb();
	afx_msg void OnRun();
	virtual BOOL OnInitDialog();
	afx_msg void OnGroundBottom();
	afx_msg void OnGroundMid1();
	afx_msg void OnGroundMid2();
	afx_msg void OnGroundMid3();
	afx_msg void OnGroundMid4();
	afx_msg void OnGroundTop();
	afx_msg void OnPowerBottom();
	afx_msg void OnPowerMid1();
	afx_msg void OnPowerMid2();
	afx_msg void OnPowerMid3();
	afx_msg void OnPowerMid4();
	afx_msg void OnPowerTop();
	afx_msg void OnButtonHelp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void CopyFile(void);
	CString m_sOutputFileName;
	bool GetOutputFile(void);
	int m_nPowerSharedLayer;
	int m_nGroundSharedLayer;
	CString m_sInputFileName;
	void TidyUp(CStdioFile*& pFile);
	CStdioFile* m_pOutputFile;
	CStdioFile* m_pInputFile;
	bool m_bInputFileOpened;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GROUNDER32_H__79B8C5C4_5862_11D6_8F7A_444553540001__INCLUDED_)
